<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildActionExecuter (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildActionExecuter (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/tooling/BuildAction.html" title="interface in org.gradle.tooling"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/tooling/BuildActionFailureException.html" title="class in org.gradle.tooling"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/tooling/BuildActionExecuter.html" target="_top">Frames</a></li>
<li><a href="BuildActionExecuter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling</div>
<h2 title="Interface BuildActionExecuter" class="title">Interface BuildActionExecuter&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The type of result produced by this executer.</dd></dl>
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/tooling/ConfigurableLauncher.html" title="interface in org.gradle.tooling">ConfigurableLauncher</a>&lt;<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling">BuildActionExecuter</a>&lt;T&gt;&gt;, <a href="../../../org/gradle/tooling/LongRunningOperation.html" title="interface in org.gradle.tooling">LongRunningOperation</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">BuildActionExecuter&lt;T&gt;</span>
extends <a href="../../../org/gradle/tooling/ConfigurableLauncher.html" title="interface in org.gradle.tooling">ConfigurableLauncher</a>&lt;<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling">BuildActionExecuter</a>&lt;T&gt;&gt;</pre>
<div class="block">Used to execute a <a href="../../../org/gradle/tooling/BuildAction.html" title="interface in org.gradle.tooling"><code>BuildAction</code></a> in the build process.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.8</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling">BuildActionExecuter</a>&lt;<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/tooling/BuildActionExecuter.html#forTasks(java.lang.Iterable)">forTasks</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;tasks)</code>
<div class="block">Specifies the tasks to execute before executing the BuildAction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling">BuildActionExecuter</a>&lt;<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/tooling/BuildActionExecuter.html#forTasks(java.lang.String...)">forTasks</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;tasks)</code>
<div class="block">Specifies the tasks to execute before executing the BuildAction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/tooling/BuildActionExecuter.html#run()">run</a></strong>()</code>
<div class="block">Runs the action, blocking until its result is available.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/tooling/BuildActionExecuter.html#run(org.gradle.tooling.ResultHandler)">run</a></strong>(<a href="../../../org/gradle/tooling/ResultHandler.html" title="interface in org.gradle.tooling">ResultHandler</a>&lt;? super <a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&gt;&nbsp;handler)</code>
<div class="block">Starts executing the action, passing the result to the given handler when complete.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.ConfigurableLauncher">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.<a href="../../../org/gradle/tooling/ConfigurableLauncher.html" title="interface in org.gradle.tooling">ConfigurableLauncher</a></h3>
<code><a href="../../../org/gradle/tooling/ConfigurableLauncher.html#addProgressListener(org.gradle.tooling.ProgressListener)">addProgressListener</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#addProgressListener(org.gradle.tooling.events.ProgressListener)">addProgressListener</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#addProgressListener(org.gradle.tooling.events.ProgressListener,%20org.gradle.tooling.events.OperationType...)">addProgressListener</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#addProgressListener(org.gradle.tooling.events.ProgressListener,%20java.util.Set)">addProgressListener</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setColorOutput(boolean)">setColorOutput</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setEnvironmentVariables(java.util.Map)">setEnvironmentVariables</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setJavaHome(java.io.File)">setJavaHome</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setJvmArguments(java.lang.Iterable)">setJvmArguments</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setJvmArguments(java.lang.String...)">setJvmArguments</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setStandardError(java.io.OutputStream)">setStandardError</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setStandardInput(java.io.InputStream)">setStandardInput</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#setStandardOutput(java.io.OutputStream)">setStandardOutput</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#withArguments(java.lang.Iterable)">withArguments</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#withArguments(java.lang.String...)">withArguments</a>, <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#withCancellationToken(org.gradle.tooling.CancellationToken)">withCancellationToken</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="forTasks(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forTasks</h4>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling">BuildActionExecuter</a>&lt;<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&gt;&nbsp;forTasks(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;tasks)</pre>
<div class="block">Specifies the tasks to execute before executing the BuildAction.

 If not configured, null, or an empty array is passed, then no tasks will be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tasks</code> - The paths of the tasks to be executed. Relative paths are evaluated relative to the project for which this launcher was created.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="forTasks(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forTasks</h4>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="interface in org.gradle.tooling">BuildActionExecuter</a>&lt;<a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&gt;&nbsp;forTasks(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;tasks)</pre>
<div class="block">Specifies the tasks to execute before executing the BuildAction.

 If not configured, null, or an empty array is passed, then no tasks will be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tasks</code> - The paths of the tasks to be executed. Relative paths are evaluated relative to the project for which this launcher was created.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="run()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre><a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&nbsp;run()
      throws <a href="../../../org/gradle/tooling/GradleConnectionException.html" title="class in org.gradle.tooling">GradleConnectionException</a>,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></pre>
<div class="block">Runs the action, blocking until its result is available.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/gradle/tooling/UnsupportedVersionException.html" title="class in org.gradle.tooling">UnsupportedVersionException</a></code> - When the target Gradle version does not support build action execution.</dd>
<dd><code><a href="../../../org/gradle/tooling/exceptions/UnsupportedOperationConfigurationException.html" title="class in org.gradle.tooling.exceptions">UnsupportedOperationConfigurationException</a></code> - When the target Gradle version does not support some requested configuration option.</dd>
<dd><code><a href="../../../org/gradle/tooling/exceptions/UnsupportedBuildArgumentException.html" title="class in org.gradle.tooling.exceptions">UnsupportedBuildArgumentException</a></code> - When there is a problem with build arguments provided by <a href="../../../org/gradle/tooling/ConfigurableLauncher.html#withArguments(java.lang.String...)"><code>ConfigurableLauncher.withArguments(String...)</code></a>.</dd>
<dd><code><a href="../../../org/gradle/tooling/BuildActionFailureException.html" title="class in org.gradle.tooling">BuildActionFailureException</a></code> - When the build action fails with an exception.</dd>
<dd><code><a href="../../../org/gradle/tooling/BuildCancelledException.html" title="class in org.gradle.tooling">BuildCancelledException</a></code> - When the operation was cancelled before it completed successfully.</dd>
<dd><code><a href="../../../org/gradle/tooling/BuildException.html" title="class in org.gradle.tooling">BuildException</a></code> - On some failure executing the Gradle build.</dd>
<dd><code><a href="../../../org/gradle/tooling/GradleConnectionException.html" title="class in org.gradle.tooling">GradleConnectionException</a></code> - On some other failure using the connection.</dd>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When the connection has been closed or is closing.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.8</dd></dl>
</li>
</ul>
<a name="run(org.gradle.tooling.ResultHandler)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>run</h4>
<pre>void&nbsp;run(<a href="../../../org/gradle/tooling/ResultHandler.html" title="interface in org.gradle.tooling">ResultHandler</a>&lt;? super <a href="../../../org/gradle/tooling/BuildActionExecuter.html" title="type parameter in BuildActionExecuter">T</a>&gt;&nbsp;handler)
         throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></pre>
<div class="block">Starts executing the action, passing the result to the given handler when complete. This method returns immediately, and the result is later passed to the given handler's <a href="../../../org/gradle/tooling/ResultHandler.html#onComplete(T)"><code>ResultHandler.onComplete(Object)</code></a> method.

 <p>If the operation fails, the handler's <a href="../../../org/gradle/tooling/ResultHandler.html#onFailure(org.gradle.tooling.GradleConnectionException)"><code>ResultHandler.onFailure(GradleConnectionException)</code></a> method is called with the appropriate exception. See
 <a href="../../../org/gradle/tooling/BuildActionExecuter.html#run()"><code>run()</code></a> for a description of the various exceptions that the operation may fail with.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>handler</code> - The handler to supply the result to.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When the connection has been closed or is closing.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.8</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/tooling/BuildAction.html" title="interface in org.gradle.tooling"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/tooling/BuildActionFailureException.html" title="class in org.gradle.tooling"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/tooling/BuildActionExecuter.html" target="_top">Frames</a></li>
<li><a href="BuildActionExecuter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
